﻿h1.tv-all-page-main-title {
    margin-bottom:0;
    display:block;
    line-height:normal;
    }
    
div.tvcategory-name a.category-name:hover, div.tv-sub-category-inner:hover div.tvcategory-name a.category-name {
    color:#777777 !important;
}    

.cms-description div.faq-page p a, .cms-description div.faq-page p strong a{
color:#777777;
}

.cms-description div.faq-page p a:hover, .cms-description div.faq-page p strong a:hover {
color:#777777;
}

div.faq-page h3{padding-top:15px; font-size:25px;}
div.faq-page ul li ul {display:block;}

.kafelekwm {float:left; width:318px; padding:15px 10px; box-sizing: content-box; height:680px;}
.kafelekwm img {display:block; with:100%; max-height:360px; height:auto; margin:0 auto;}
.kafelekwm h4 a {display:block; text-align:center;}
.kafelekwm p {display:block;text-align:justify;}
.clrwm{clear:both;}
.moreCategoryDescription{padding:10px 15px;}

.homePageDescription {text-align:justify; width:1380px; margin:10px auto;}
.homePageDescription .zajawkiwm {margin:0 auto;} 
.homePageDescription .zajawkiwm .kafelekwm h2 a {height:60px; text-align:center;margin:0 auto;display:block;}
.kafelekimg {height:360px;}
.homePageDescription .zajawkiwm .kafelekwm {height:755px;}

@media only screen and (max-width: 1410px) and (min-width: 600px) {
.kafelekwm {width:45%; min-width:318px;}
.homePageDescription {width:100%;}
} 

@media only screen and (max-width: 805px) and (min-width: 745px) {
.kafelekwm, .homePageDescription .zajawkiwm .kafelekwm {height:810px; min-width:318px;}
.homePageDescription {width:100%;}
}

@media only screen and (max-width: 744px) and (min-width: 650px) {
.kafelekwm, .homePageDescription .zajawkiwm .kafelekwm {height:880px; min-width:318px;}
.homePageDescription {width:100%;}
}

@media only screen and (max-width: 654px) and (min-width: 600px) {
.kafelekwm, .homePageDescription .zajawkiwm .kafelekwm {height:950px; min-width:318px;}
.homePageDescription {width:100%;}
}

@media only screen and (max-width: 599px) {
.kafelekwm, .homePageDescription .zajawkiwm .kafelekwm {width:100%;height:auto; min-width:300px;}
.homePageDescription {width:100%;}
} 

/* external css: flickity.css */

* {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

/*body { font-family: sans-serif; }*/

.gallery {
  /*background: #EEE;*/
  /*max-width:1380px; */
}

.gallery-cell {
  width: 25%;
  height: 200px;
  margin-right: 10px;
  /*background: #8C8;*/
  /*counter-increment: gallery-cell;*/
}

/* cell number */
.gallery-cell:before {
  display: block;
  text-align: center;
  /*content: counter(gallery-cell);*/
  line-height: 200px;
  font-size: 80px;
  color: white;
}

/* CSS flickity */

.flickity-prev-next-button {position:}
.flickity-prev-next-button {}
/*.flickity-page-dots {display:none;}*/

/*! Flickity v1.0.0
http://flickity.metafizzy.co
---------------------------------------------- */

.flickity-enabled {
  position: relative;
}

.flickity-enabled:focus { outline: none; }

.flickity-viewport {
  overflow: hidden;
  position: relative;
  height: 100%;
}

.flickity-slider {
  position: absolute;
  width: 100%;
  height: 100%;
}

/* draggable */

.flickity-enabled.is-draggable {
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}

.flickity-enabled.is-draggable .flickity-viewport {
  cursor: move;
  cursor: -webkit-grab;
  cursor: grab;
}

.flickity-enabled.is-draggable .flickity-viewport.is-pointer-down {
  cursor: -webkit-grabbing;
  cursor: grabbing;
}

/* ---- previous/next buttons ---- */

.flickity-prev-next-button {
  position: absolute;
  top: 50%;
  width: 44px;
  height: 44px;
  border: none;
  border-radius: 50%;
  background: white;
  background: hsla(0, 0%, 100%, 0.75);
  cursor: pointer;
  /* vertically center */
  -webkit-transform: translateY(-50%);
      -ms-transform: translateY(-50%);
          transform: translateY(-50%);
}

.flickity-prev-next-button:hover { background: white; }

.flickity-prev-next-button:focus {
  outline: none;
  box-shadow: 0 0 0 5px #09F;
}

.flickity-prev-next-button:active {
  filter: alpha(opacity=60); /* IE8 */
  opacity: 0.6;
}

.flickity-prev-next-button.previous { left: 10px; }
.flickity-prev-next-button.next { right: 10px; }
/* right to left */
.flickity-rtl .flickity-prev-next-button.previous {
  left: auto;
  right: 10px;
}
.flickity-rtl .flickity-prev-next-button.next {
  right: auto;
  left: 10px;
}

.flickity-prev-next-button:disabled {
  filter: alpha(opacity=30); /* IE8 */
  opacity: 0.3;
  cursor: auto;
}

.flickity-prev-next-button svg {
  position: absolute;
  left: 20%;
  top: 20%;
  width: 60%;
  height: 60%;
}

.flickity-prev-next-button .arrow {
  fill: #333;
}

/* color & size if no SVG - IE8 and Android 2.3 */
.flickity-prev-next-button.no-svg {
  color: #333;
  font-size: 26px;
}

/* ---- page dots ---- */

.flickity-page-dots {
  position: absolute;
  width: 100%;
  bottom: -25px;
  padding: 0;
  margin: 0;
  list-style: none;
  text-align: center;
  line-height: 1;
}

.flickity-rtl .flickity-page-dots { direction: rtl; }

.flickity-page-dots .dot {
  display: inline-block;
  width: 10px;
  height: 10px;
  margin: 0 8px;
  background: #333;
  border-radius: 50%;
  filter: alpha(opacity=25); /* IE8 */
  opacity: 0.25;
  cursor: pointer;
}

.flickity-page-dots .dot.is-selected {
  filter: alpha(opacity=100); /* IE8 */
  opacity: 1;
}

/* koniec flickity */

/* wysuwanie tekstu */
.kafelekimg {height:230px !important;}
.homePageDescription .zajawkiwm .kafelekwm, .kafelekwm {
  position: relative;
  /*width: 300px;*/
  height: 500px !important; /* Stała wysokość, aby kafelek nie zmieniał rozmiaru */
  overflow: hidden;
  /*border: 1px solid #ccc;*/
  cursor: pointer;
  transition: box-shadow 0.3s ease;
}

.kafelekimg img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.kafelek-content {
  position: absolute;
  bottom: 0px;
  left: 0;
  width: 100%;
  padding: 10px;
  box-sizing: border-box;
  background: rgba(250, 250, 250, 0.8);
  color: black;
  transition: transform 0.5s ease;
}

.kafelek-content h2 {
  margin: 0 0 5px 0;
}

/* Ukrycie tekstu i pokazanie tylko 2 linii */
.kafelekwm .full-text-wmtr {
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 8; /* Ograniczenie do 2 linii */
  -webkit-box-orient: vertical;
  max-height: 26.0em; /* Przykład dla 2 linii, dostosuj do font-size */
  transition: max-height 0.5s ease;
  color:#000;
}

.full-text-wmtr {
    padding: 0 10px;
    box-sizing: border-box;
}

/* Efekt po najechaniu myszą */
/*
.kafelekwm:hover .kafelek-content {
  transform: translateY(-0px); /* Przesunięcie tekstu w górę */
/*  color:#000;
}
*/

.kafelekwm:hover .kafelek-content,
.kafelekwm.active .kafelek-content {
  transform: translateY(0%);
}


/* Po najechaniu pokaż całą treść */
.kafelekwm:hover .full-text-wmtr, .kafelekwm.active .full-text-wmtr {
  -webkit-line-clamp: unset;
  max-height: 410px; /* Zwiększ wysokość, aby zmieścił się cały tekst */
  color:#000;
}
/* koniec wysuwanie tekstu */

.mapa-wmtr {margin:0 auto; width:620px;}
.mapa-wmtr iframe{width:600px; height:450px;}

/* kafelki na wersji mobilnej */
@media (max-width: 787px) {
  /* Zmień te wartości, by pasowały do Twojego projektu */
  .kafelekwm {
    height: auto !important; /* Dostosuje wysokość do całej treści */
    width:100% !important;
  } 
  
  .flickity-prev-next-button {
  top: 15%;
  }

  .kafelek-content {
    position: static; /* Usuwa pozycjonowanie absolutne */
    transform: translateY(-230px); /* Resetuje transformację */
    background: rgba(250, 250, 250, 0.8);
    color: black;
  }
  
  .kafelek-content h2 {
    color: black; /* Zmień kolor, jeśli nagłówek był biały */
  }

  .kafelekwm .full-text-wmtr {
    -webkit-line-clamp: unset; /* Pokaż całą treść */
    max-height: none;
    overflow: visible;
    color:#000;    
  }
  .mapa-wmtr, .mapa-wmtr iframe{
  width:100%;  
  }  
}
/* koniec kafelki na wersji mobilnej */

ul.listawmtr {
list-style:disc;
padding-left:15px;
}




.link-wmtr, .cms-description a.link-wmtr{color:#222;}

#custom-text {padding:0 !important}

/* Kontener ustawiający proporcje (wideo 16:9) */
.video-responsive {
    position: relative;
    padding-bottom: 56.25%; /* To jest 9/16, aby zachować proporcje 16:9 */
    height: 0;
    overflow: hidden;
    max-width: 100%;
}

/* Właściwe skalowanie i stała szerokość na dużych ekranach */
.video-responsive iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%; /* Rozciąga się na 100% dostępnej szerokości kontenera */
    height: 100%;
}

/* Ustawienia dla dużych ekranów (np. komputery) */
@media (min-width: 992px) {
    .video-responsive {
        /* Przywraca stałą wysokość i szerokość, aby nie zależało od padding-bottom */
        padding-bottom: 0;
        height: 315px; /* Przywrócenie oryginalnej wysokości iframe */
        width: 560px; /* Przywrócenie oryginalnej szerokości iframe */
        margin: 0 auto; /* Opcjonalnie: wyśrodkowanie na komputerach */
    }
}

.akapit-wmtr {padding:0 0 50px 0; text-align:justify;}
.AkImg-wmtr {float:left; width: 470px; padding:0 25px 25px 25px; box-sizing: border-box; }
.AkImg-wmtr img {border-radius: 25px;}
.AkTekst-wmtr {float:left; width:calc(100% - 470px); padding: 0 10px 10px 10px;box-sizing: border-box; } 

@media (max-width: 787px) {
.AkImg-wmtr, .AkTekst-wmtr {float:none; display:block; width:100%;}
}

.imgBezRamek {    
    width: 400px;
    height: 275px;    
    overflow: hidden; 
}

.imgBezRamek img {    
    width: 100%; 
    height: 100%;    
    object-fit: cover;    
}